# ARBVertexAttribBinding (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opengl
Class ARBVertexAttribBinding

    java.lang.Object
      org.lwjgl.opengl.ARBVertexAttribBinding

    public final class ARBVertexAttribBinding

extends java.lang.Object

Field Summary
`static int` `GL_MAX_VERTEX_ATTRIB_BINDINGS` Accepted by the <pname> parameter of GetIntegerv, ...
`static int` `GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET` Accepted by the <pname> parameter of GetIntegerv, ...
`static int` `GL_VERTEX_ATTRIB_BINDING` Accepted by the <pname> parameter of GetVertexAttrib*v:
`static int` `GL_VERTEX_ATTRIB_RELATIVE_OFFSET` Accepted by the <pname> parameter of GetVertexAttrib*v:
`static int` `GL_VERTEX_BINDING_DIVISOR` Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static int` `GL_VERTEX_BINDING_OFFSET` Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:
`static int` `GL_VERTEX_BINDING_STRIDE` Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

Method Summary
`static void` `glBindVertexBuffer(int bindingindex, int buffer, long offset, int stride)`
`static void` `glVertexAttribBinding(int attribindex, int bindingindex)`
`static void` `glVertexAttribFormat(int attribindex, int size, int type, boolean normalized, int relativeoffset)`
`static void` `glVertexAttribIFormat(int attribindex, int size, int type, int relativeoffset)`
`static void` `glVertexAttribLFormat(int attribindex, int size, int type, int relativeoffset)`
`static void` `glVertexBindingDivisor(int bindingindex, int divisor)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### GL_VERTEX_ATTRIB_BINDING

    public static final int GL_VERTEX_ATTRIB_BINDING

  Accepted by the <pname> parameter of GetVertexAttrib*v:

  See Also:
    Constant Field Values

### GL_VERTEX_ATTRIB_RELATIVE_OFFSET

    public static final int GL_VERTEX_ATTRIB_RELATIVE_OFFSET

  Accepted by the <pname> parameter of GetVertexAttrib*v:

  See Also:
    Constant Field Values

### GL_VERTEX_BINDING_DIVISOR

    public static final int GL_VERTEX_BINDING_DIVISOR

  Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

  See Also:
    Constant Field Values

### GL_VERTEX_BINDING_OFFSET

    public static final int GL_VERTEX_BINDING_OFFSET

  Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

  See Also:
    Constant Field Values

### GL_VERTEX_BINDING_STRIDE

    public static final int GL_VERTEX_BINDING_STRIDE

  Accepted by the <target> parameter of GetBooleani_v, GetIntegeri_v, GetFloati_v, GetDoublei_v, and GetInteger64i_v:

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET

    public static final int GL_MAX_VERTEX_ATTRIB_RELATIVE_OFFSET

  Accepted by the <pname> parameter of GetIntegerv, ...

  See Also:
    Constant Field Values

### GL_MAX_VERTEX_ATTRIB_BINDINGS

    public static final int GL_MAX_VERTEX_ATTRIB_BINDINGS

  Accepted by the <pname> parameter of GetIntegerv, ...

  See Also:
    Constant Field Values

Method Detail

### glBindVertexBuffer

    public static void glBindVertexBuffer(int bindingindex,
                                          int buffer,
                                          long offset,
                                          int stride)

### glVertexAttribFormat

    public static void glVertexAttribFormat(int attribindex,
                                            int size,
                                            int type,
                                            boolean normalized,
                                            int relativeoffset)

### glVertexAttribIFormat

    public static void glVertexAttribIFormat(int attribindex,
                                             int size,
                                             int type,
                                             int relativeoffset)

### glVertexAttribLFormat

    public static void glVertexAttribLFormat(int attribindex,
                                             int size,
                                             int type,
                                             int relativeoffset)

### glVertexAttribBinding

    public static void glVertexAttribBinding(int attribindex,
                                             int bindingindex)

### glVertexBindingDivisor

    public static void glVertexBindingDivisor(int bindingindex,
                                              int divisor)

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.